Permalink
Browse files

compatible with ruby-growl 4.0 gem

  • Loading branch information...
1 parent 3a222b1 commit 596ca42a66acf05a730a56f3703bfc48bc3a5f08 @flyerhzm committed Mar 3, 2013
Showing with 4 additions and 6 deletions.
  1. +3 −5 lib/uniform_notifier/growl.rb
  2. +1 −1 uniform_notifier.gemspec
@@ -26,11 +26,9 @@ def self.setup_connection_growl( growl )
return unless growl
require 'ruby-growl'
@password = growl.instance_of?(Hash) ? growl[:password] : nil
- @growl = ::Growl.new('localhost',
- 'uniform_notifier',
- [ 'uniform_notifier' ],
- nil,
- @password)
+ @growl = ::Growl.new 'localhost', 'uniform_notifier'
+ @growl.add_notification 'uniform_notifier'
+ @growl.password = @password
notify 'Uniform Notifier Growl has been turned on'
end
View
@@ -14,7 +14,7 @@ Gem::Specification.new do |s|
s.rubyforge_project = "uniform_notifier"
- s.add_development_dependency %q<ruby-growl>, ["= 3.0"]
+ s.add_development_dependency %q<ruby-growl>, ["= 4.0"]
s.add_development_dependency %q<ruby_gntp>, ["= 0.3.4"]
s.add_development_dependency %q<xmpp4r>, ["= 0.5"]
s.add_development_dependency %q<rspec>, ["> 0"]

0 comments on commit 596ca42

Please sign in to comment.